@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Titillium+Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap');
*{
    margin: 0;
    padding: 0;
}
button:hover{
    cursor: pointer;
}
html{
    scroll-behavior: smooth;
}
:root{
    --color1 : #81B29A;
    --color2 : #000000;
    --color3 : #fff;
    --heading-font : 'Titillium Web';
    --para-font: 'Open Sans';
}

/* ------NavBar----- */

nav{
    /* background-color: #000000; */
    display: flex;
    position: absolute;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    top: 0;
    
    
}
ul{
    display: flex;
    margin-right: 3rem;
}
li{
    list-style: none;
    margin-right: 3rem;
}a{
    text-decoration: none;
    color: var(--color1);
    font-family: var(--heading-font);
    font-size: 1.3rem;

}
nav img{
    width: 6rem;
    margin-left: 6rem;
}
/* -----------HERO----------- */

.hero{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 260px 0;
    background-color: black;
    background-image: url(./assets/bg.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.hero h1,.hero p{
    text-align: center;
    color: #81B29A;
}
.hero h1{
    font-family: var(--heading-font);
    font-size: 4rem;
    width: 80%;
}
.hero p{
    font-family: var(--para-font);
    width: 50%;
    margin-top: 1rem;
}
.buttons{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 2rem;
    z-index: 1;
}
.buttons button{
    margin-right: 0.6vw;
    font-family: var(--font_nav);
    font-weight: bold;
    font-size: 1rem;
    height: 50px;
    padding: 0 2rem 0 2rem;
 
    border: none;
    transition: 0.5s;
}
.buttons button:hover{
    cursor: pointer;
}
.second_butt{
    background-color: #81B29A;
}

/* -----------------Wave1----------- */
.wave1{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #181818;
    padding-top: 150px;
    padding-bottom: 150px;
}
.wave1 h1{
    color: #81B29A;
    font-family: var(--heading-font);
    width: 80%;
    text-align: center;
    font-size: 2.5rem;
    line-height: 3rem;
}
.doing{
    margin-top: 6rem;
}
.texts{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
hr{
    width: 80%;
    margin-top: 6rem;
    border: 1px solid rgb(61, 61, 61);
}
.journey{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.wave1 h2{
    margin-left: 5.5rem;
    margin-bottom: 2rem;
    font-size: 3rem;
    color: #81B29A;
    font-family: var(--heading-font);
}
.wave1 img{
    width: 30rem;
    border-radius: 2rem;
    filter: grayscale(100%);
}
.wave1 p{
    width: 45%;
    color: white;
    font-size: 1.2rem;
    font-family: var(--para-font);
    line-height: 2rem;
}
.after-loading-cnt{
    display: flex;
    flex-direction: row-reverse;
}

/* -------------------Prtfolio ( Projects Done ) */

.portfolio h1{
    font-size: 3rem;
    color: black;
    font-family: var(--heading-font);
}

.portfolio{
    background-color: #81B29A;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 4rem 0;
    flex-direction: column;
}
.portfolio i{
    font-size: 3rem;
}
.text-portfolio{
    margin-left: 1rem;
}
.part{
    display: flex;
    justify-content: center;
    align-items: center;
    /* margin-left: 5rem; */
}
.achievements{
    display: flex;
    margin-top: 3rem;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
}
.portfolio p{
    font-family: var(--para-font);
}
.num{
    font-size: 2.5rem;
    font-family: var(--heading-font);
}

/* -------------------FAQs------------------ */
    .FAQ{
        padding: 100px 0;
        
        background-color:#181818;
        
    }
    .FAQ h1{
        text-align: center;
        color: #81B29A;
        font-size: 3rem;
        font-family: var(--heading-font);
    }
  .faq-container {
   width: 80%;
    margin: 5rem auto;
    background-color: #232323;
   
    padding: 20px;
    border-radius: 12px;
  }
  
  .question {
    cursor: pointer;
    margin-bottom: 10px;
    padding: 15px;
    background-color:#81B29A;
    color: black;
    border: none;
    text-align: left;
    width: 100%;
    font-weight: bold   ;
    outline: none;

    transition: background-color 0.3s ease;
    font-family: var(--para-font);
  }
  
  .question:hover {
    background-color: white;
  }
  
  .answer {
    display: none;
    padding: 15px;
    border-top: 1px solid #4a4a4a;
    font-size: 0.9em;
    color: white;
    font-family: var(--para-font);
  
  }
  /* -----------PARTICLES-------- */
  #particles-js {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 10vh;
    left: 0;
  }

  /* Hamburger */
#hamburger{
    display: none;
    padding: 0 3rem 0 0;
    color: #fff;
    font-size: 30px;
}

/* -------------------Contact */

.contact h1{
    text-align: center;
        color: black;
        font-size: 3rem;
        font-family: var(--heading-font);
        margin-bottom: 3rem;
        
}
.contact{
    background-color: #81B29A;
    padding-top: 100px;
    padding-bottom: 100px;
}
.contact p.cnt{
    font-family: var(--para-font);
    font-weight: bold;
    text-align: center;
    font-size: 1.2rem;
    width: 90%;
    margin: auto;
}
.contact .area div{
    text-align: center;
    margin-bottom: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .5s;
}
i{
    font-size: 2rem;
}
.contact div p{
    font-size: 1.8rem;
    margin-left: 1rem;
}

.contact a{
    color: white;
}
.contact div:hover{
    color: white;
}
.upper{
    margin-top: 3rem    ;
}
.contact .area{
    background-color:#181818;
    width: 70%;
    margin: auto;
    margin-top: 5rem;
    padding: 2rem;
    border-radius: 2rem;
}
.location{
    font-size: 1.3rem !important;
    width: 50%;
}
/* ------------ABout Us---------- */

.about{
    /* background-color: #181818; */
    padding: 100px 0;
    background-image: url('./assets/about.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed    ;
}
.about h1{
    text-align: center;
    color: #81B29A;
    font-family: var(--heading-font);
    font-size: 3rem;
}
.about h3{
    text-align: center;
    color: #81B29A;
    margin-top: 3rem;
    font-size: 2rem;
    font-family:var(--heading-font);
}
.about p{
    text-align: justify;
    width: 80%;
    margin: auto;
    margin-top: 3rem;
    color: white;
    font-family: var(--para-font);
    font-size: 1.3rem;
}
/* -----------FOoter */

footer{
    display: flex;
    flex-direction: column;
    justify-content:center;
    align-items: center;
    
  
}
.first{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgb(33, 33, 34);
    padding-top: 70px;
    padding-bottom: 50px;
    width: 100%;
}
footer .us{
    width: 80%;
  
}
footer h1{
    font-family: var(--heading-font);
    color: rgb(211, 209, 209);
    font-size: 3rem;
    text-align: center;
}
footer h1:hover{
    color: white;
    cursor: pointer;
}
footer hr{
    margin: 3rem auto;
    border: 1px solid rgb(77, 77, 77);
}
footer .links h2{
    font-size: 2.5rem;
}
footer ul{
    list-style: none;
}
footer a{
    text-decoration: none;
    color: rgb(191, 191, 191);
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
footer p.hum{
    width: 100%;
    text-align: justify;
    color: white;
    font-family:system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 400;
    position: relative;
    width: 80%;
    margin: auto;
    margin-top: 2rem;
    font-size: 1.2rem;
    &::before{
        content: "\201C";
        position: absolute;
        font-weight: bold;
        font-size: 2em;
        color: var(--white);
        top: -20px;
        left: -20px;
        font-family: Georgia, 'Times New Roman', Times, serif;
    }
    &::after{
        content: "\201D";
        position: absolute;
        font-weight: bold;
        font-size: 2em;
        color: var(--white);
        bottom: -20px;
        right: 10px;
        font-family: Georgia, 'Times New Roman', Times, serif;
    }
}
footer ul{
    display: flex;
}
footer li{
    margin: 0 3rem;
}
.social{
    margin-top: 3rem;
    font-size: 2rem;
    color: rgb(169, 169, 169);
  
}
.social i:hover, .social svg:hover{
    cursor: pointer;
    color: white;
}
.social i, .social svg{
    margin-left: 2rem;
    margin-right: 2rem;
    transition: .2s;
}

footer .last{
    padding: 30px 0;
    width: 100%;
    background-color: #131313;

}
footer .last p{
    text-align: center;
    color: white;
    font-family:system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}



  /* -----------Responsive Styles------------ */

@media screen and (max-width:1000px) {
    /* --------Hero */
    .hero h1{
        width: 90%;
        line-height: 4rem;
        font-size: 3rem;
    }
    /* -----------Wave1 */
    .wave1 p{
        font-size: 1rem;
    }
    .wave1 img{
        width: 25rem;
    }
    /* ------------Contact */
    .location{
        width: 70%;
    }


}


  @media (max-width: 800px) {
    #hamburger{display: block;}
    ul{
        top: 100%;
        transition: .2s linear;
        background-color: #fff;
        position: absolute;
        margin-left: -100%;
        width: 100%;
        height: 50vh;
        flex-direction: column;
        height: fit-content;
    padding: 3rem 0;
    background-color: #000000e8;
    z-index: 10;
    
    }
    li{
        margin-left: 3rem;
        margin-bottom: 1rem;
    }
    .displayHam{
        margin-left: 0 !important;
    }
    nav img{
        margin-left: 3rem;
    }
    .buttons{
        flex-direction: column;

    }
  
    .hero .second_butt{
        margin-top: 2rem;
    }
    /* -----------HERO----------- */
    .hero h1{
        line-height: 4rem;
        width: 100%;
    }
    .hero p{
        width: 80%;
    }
    /* ----------WAVE1---------- */
    .wave1 h1{
        font-size: 2rem;
    }
    .wave1 img{
        width: 23rem;
        border-radius: 1rem;
        margin-top: 3rem;
    }
    .texts{
        flex-direction: column;
    }
    .texts p{
        width: 80%;
        text-align: justify;
        margin-top: 2.5rem;
    }
    .wave1 h2{
        margin: 0;
        text-align: center;
    }
    /* -------------portfolio */
    .portfolio{
        flex-direction: column;
        text-align: center;
    }
    .part{
         margin-bottom: 5rem;
         margin-left: 0;
    }
    .first-part{
        margin-top: 5rem;
    }
    .achievements{
        flex-direction: column;
    }
    /* --------------Footer------------- */
    html body footer .first{
        display: block;
      }
      footer .us p{
         text-align: center;
      }
      footer li {
         margin: 0.5rem 3rem;
     }
     footer .us{
        width: 100%;
     }
      footer ul{
         display: flex;
         flex-direction: column;
      }
      footer .last p{
         font-size: .8rem;
      }
      footer h1 {
         font-family: var(--heading-font);
         color:#aaaaaa;
         font-size: 2.5rem;
         text-align: center;
        margin: auto;
     }
     footer p.hum{
         font-size: 1rem;
     }
     .social{
        display: flex;
        justify-content: space-evenly;
        align-items: center;
     }
     .social i{
        margin-right: 0;
        margin-left: 0;
        
     }
}



  
  @media only screen and (max-width: 600px) {
    
    /* -----------FAQs-------- */

    .faq-container {
      max-width: 100%;
      padding: 10px;
    }
    .question {
      padding: 10px;
    }
    .answer {
      padding: 10px;
      font-size: 0.8em;
    }
    .location{
        width: 100%;
    }

  }




  @media (max-width: 500px) {
    #hamburger{display: block;}
    ul{
        top: 100%;
        transition: .2s linear;
        background-color: #fff;
        position: absolute;
        margin-left: -100%;
        width: 100%;
        height: 50vh;
        flex-direction: column;
        height: fit-content;
    padding: 3rem 0;
    background-color: #000000e8;
    z-index: 2;
    
    }
    li{
        margin-left: 3rem;
        margin-bottom: 1rem;
    }
    .displayHam{
        margin-left: 0 !important;
    }
    nav img{
        margin-left: 3rem;
    }
    .buttons{
        flex-direction: column;

    }
  
    .hero .second_butt{
        margin-top: 2rem;
    }
    /* -----------HERO----------- */
    .hero h1{
        line-height: 2rem;
    }
    .hero p{
        width: 80%;
    }
    .hero h1{
        font-size: 2rem;
        width: 100%;
    }
    /* ----------WAVE1---------- */
    .wave1 h1{
        font-size: 2rem;
    }
    .wave1 img{
        width: 15rem;
        border-radius: 1rem;
        margin-top: 3rem;
    }
    .texts{
        flex-direction: column;
    }
    .texts p{
        width: 80%;
        text-align: justify;
        margin-top: 2.5rem;
        font-size: 1.1rem;
    }
    .wave1 h2{
        margin: 0;
        text-align: center;
        font-size: 1.8rem;
        width: 80%;
        margin: auto;
    }
    /* -------------portfolio */
    .portfolio{
        flex-direction: column;
        text-align: center;
    }
    .part{
         margin-bottom: 5rem;
         margin-left: 0;
    }
    .first-part{
        margin-top: 5rem;
    }
    .achievements{
        flex-direction: column;
    }
    .portfolio h1{
        font-size: 2.2rem;
    }
    /* ------------------------------FAQ */
    .FAQ h1{
        font-size: 2rem;
    }
    /* --------------Footer------------- */
    .about h1{
        font-size: 2rem;
    }
    /* ------------------------CONTACTS */
    .contact div p{
        font-size: 1.2rem;
    }
    .contact h1{
        font-size: 2rem;
    }
    .contact p.cnt{
        font-size: 1rem;
    }
    /* -----------------------------ABout */
    html body footer .first{
        display: block;
      }
      footer .us p{
         text-align: center;
      }
      footer li {
         margin: 0.5rem 3rem;
     }
     footer .us{
        width: 100%;
     }
      footer ul{
         display: flex;
         flex-direction: column;
      }
      footer .last p{
         font-size: .8rem;
      }
      footer h1 {
        font-family: var(--heading-font);
        color:#aaaaaa;
         font-size: 2.5rem;
         text-align: center;
        margin: auto;
     }
     footer p.hum{
         font-size: 1rem;
     }
     .social{
        display: flex;
        justify-content: space-evenly;
        align-items: center;
     }
     .social i{
        margin-right: 0;
        margin-left: 0;
        
     }
     .social a{
        font-size: 1rem;
     }
}
@media screen and (max-width:300px) {
    .location{
        font-size: 1rem !important;
    }
}

  
  